Bug 497815 - Not running on two F10 boxes
Not running on two F10 boxes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-do (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 07:54 EDT by Adam Huffman
Modified: 2009-12-18 04:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:21:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace output (185.15 KB, text/plain)
2009-06-01 03:36 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2009-04-27 07:54:53 EDT
Description of problem:

On a couple of different F10 boxes gnome-do now doesn't seem to be running in my normal GNOME desktop.  If I restart it manually from a terminal, it runs okay.

Version-Release number of selected component (if applicable):
gnome-do-0.6.1.0-2.fc10.x86_64

How reproducible:


Steps to Reproduce:
1. login to GNOME desktop
2. Use shortcut to invoke gnome-do
3.
  
Actual results:
Nothing happens

Expected results:
gnome-do appears

Additional info:
Comment 1 Sindre Pedersen Bjørdal 2009-05-29 09:38:55 EDT
Need more details. Try running gnome-do in a terminal and provide the output please.
Comment 2 Adam Huffman 2009-06-01 03:36:27 EDT
Created attachment 346060 [details]
Strace output
Comment 3 Adam Huffman 2009-06-01 03:36:59 EDT
On one of the machines with the problem, there's no output when it's run from a terminal.
Comment 4 Adam Huffman 2009-06-01 08:43:04 EDT
Here's the output on the other machine exhibiting the problem:

[Info 13:40:39.206] Loaded "Applications". 
[Info 13:40:39.229] Loaded "GNOME Special Locations". 
[Warn 13:40:39.230] Could not find file 
    "/home/adam/.local/share/gnome-do/Do.Universe.AliasItemSource". 
[Info 13:40:39.230] Loaded "Alias items". 
[Info 13:40:39.230] Loaded "Internal GNOME Do Items". 
[Info 13:40:39.230] Loaded "GNOME Do Item Sources". 
[Info 13:40:39.284] Loaded "Tomboy Note Indexer". 
[Info 13:40:39.328] Loaded "Pidgin Buddies". 
[Info 13:40:39.328] Loaded "Pidgin Accounts". 
[Info 13:40:39.329] Loaded "Pidgin Statuses". 
[Info 13:40:39.330] Loaded "Email". 
[Info 13:40:39.331] Loaded "Open". 
[Info 13:40:39.350] Loaded "Open URL". 
[Info 13:40:39.350] Loaded "Open With...". 
[Info 13:40:39.351] Loaded "Reveal". 
[Info 13:40:39.351] Loaded "Run". 
[Info 13:40:39.352] Loaded "Copy to Clipboard". 
[Info 13:40:39.352] Loaded "Assign Alias...". 
[Info 13:40:39.353] Loaded "Delete Alias". 
[Info 13:40:39.353] Loaded "New Tomboy Note". 
[Info 13:40:39.354] Loaded "Search Tomboy Notes". 
[Info 13:40:39.401] Loaded "Define". 
[Info 13:40:39.401] Loaded "Chat". 
[Info 13:40:39.401] Loaded "Set status". 
[Info 13:40:39.401] Loaded "Sign on". 
[Info 13:40:39.401] Loaded "Sign off". 

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_localestring: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed

** (Do:27299): CRITICAL **: gnome_desktop_item_get_string: assertion `item != NULL' failed
[Info 13:40:43.301] Universe contains 1277 items. 


On this machine, it works at login, but fails soon after that (i.e. the keyboard shortcut has no effect).
Comment 5 Bug Zapper 2009-11-18 06:51:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:21:56 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.